// Copyright 2021 Adam Chalkley
//
// https://github.com/atc0005/go-teams-notify
//
// Licensed under the MIT License. See LICENSE file in the project root for
// full license information.

/*

Package goteamsnotify is used to send messages to Microsoft Teams (channels)

PROJECT HOME

See our GitHub repo (https://github.com/atc0005/go-teams-notify) for the
latest code, to file an issue or submit improvements for review and potential
inclusion into the project.


PURPOSE

Send messages to a Microsoft Teams channel.


FEATURES

• Submit messages to Microsoft Teams consisting of one or more sections, Facts (key/value pairs), Actions or images (hosted externally)

• Support for Actions, allowing users to take quick actions within Microsoft Teams

• Configurable validation

• Configurable timeouts

• Configurable retry support


USAGE

See our main README for supported settings and examples.

*/
package goteamsnotify
